TEMPLATE = app
CONFIG += qt release

unix : data.path = /usr/local/share/kemboss/data
unix : data.files = ../data/*
unix : default_settings.path = /usr/local/share/kemboss/default_settings
unix : default_settings.files = ../default_settings/*
unix : target.path = /usr/local/bin

CONFIG(release, debug|release){
    message("Building in release mode")
    OBJECTS_DIR = ./release
    MOC_DIR = ./release
    RCC_DIR = ./release
    UI_DIR = ./release
    unix : TARGET = ../kemboss
    win32 : TARGET = ../../kemboss
}else {
    message("Building in debug mode")
    OBJECTS_DIR = ./debug
    MOC_DIR = ./debug
    RCC_DIR = ./debug
    UI_DIR = ./debug
    unix : TARGET = ../kemboss_debug
    win32 : TARGET = ../../kemboss_debug
}

include(./forms/forms.pro)
include(./forms/emboss/forms.pro)
include(./forms/phylipnew/forms.pro)
HEADERS += main.h \
           programWindows.h \
           configDlg.h \
           kemboss.h \
           programWindowClass.h \
           about.h \
           programProgress.h \
           settings.h  \
           associated_qualifiers.h \
           phylipProgramWindows.h \
           kembossWindowClass.h \
           loadFileThread.h \
           syntax_highlighter.h
SOURCES += programWindows.cpp \
           main.cpp \
           configDlg.cpp \
           kemboss.cpp \
           programWindowClass.cpp \
           about.cpp \
           programProgress.cpp \
           settings.cpp  \
           associated_qualifiers.cpp \
           phylipProgramWindows.cpp \
           kembossWindowClass.cpp \
           loadFileThread.cpp \
           syntax_highlighter.cpp
win32 : RESOURCES += actions_win.qrc
unix : RESOURCES += actions_X11.qrc
unix : INSTALLS += default_settings \
            data \
            target

win32 : RC_FILE = kemboss.rc
